SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001689SOGo Native Outlook Compatibility (obsolete)public2012-03-14 11:002012-09-17 11:15
Reporterwsourdeau 
Assigned Toludovic 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versiontrunk 
Target Version2.0.0Fixed in Version2.0.0 
Summary0001689: event classification is not propagated
DescriptionWhen creating a "private" event in outlook, it is still marked as public in SOGo.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0003671)
luf (reporter)
2012-03-29 17:24
edited on: 2012-03-29 17:33

The problem is that the funambol-sogo connector works ok againist old Funambol 8.X as it's written in download page.

You can see the problem only in calendar preview not in the event details. The difference is that calendar preview use <dataname>_quick from datastore and event details parse the event.

The new funambol internally store the classification as number not the text. So the parsing part of event can't identify the class of event.

I attach funambol-sogo-classification.patch which solve the problem (and it should be back compatible - I hope I don't test it). The little problem with patch is that you also need newer libraries from funambol. I use the one which is in funambol server I use.

I also upload the funambol-sogo-1.0.9.s4j. It's compiled from HEAD trunk + classification patch using jdk-1.6.

I hope it helps.

(0003674)
wsourdeau (viewer)
2012-03-30 09:17

Actually, the section "SOGo Native Outlook Compatibility" has nothing to do with Funambol. You should fill another bugreport in the "Funambol Connector" section.
User avatar (0004481)
ludovic (administrator)
2012-09-17 11:15

Fixed - see:

http://mtn.inverse.ca/revision/diff/7605704028eff50386f4f9c1e4e93aa47eea31c3/with/ae08767667624a609d7996a164800377cb574081 [^]

- Issue History
Date Modified Username Field Change
2012-03-14 11:00 wsourdeau New Issue
2012-03-29 17:18 luf File Added: funambol-sogo-classification.patch
2012-03-29 17:18 luf File Added: funambol-sogo-classification-files.patch
2012-03-29 17:24 luf Note Added: 0003671
2012-03-29 17:33 luf Note Edited: 0003671
2012-03-29 17:33 luf File Added: funambol-sogo-1.0.9.s4j
2012-03-30 09:17 wsourdeau Note Added: 0003674
2012-03-30 09:41 wsourdeau File Deleted: funambol-sogo-classification.patch
2012-03-30 09:41 wsourdeau File Deleted: funambol-sogo-classification-files.patch
2012-03-30 09:41 wsourdeau File Deleted: funambol-sogo-1.0.9.s4j
2012-07-25 16:08 ludovic Target Version => 2.0
2012-09-14 13:59 francis Status new => assigned
2012-09-14 13:59 francis Assigned To => ludovic
2012-09-17 11:15 ludovic Note Added: 0004481
2012-09-17 11:15 ludovic Status assigned => closed
2012-09-17 11:15 ludovic Resolution open => fixed
2012-09-17 11:15 ludovic Fixed in Version => 2.0.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker